Appearance
Get ticket history ​
GET
/v1/tickets/{ticket_id}/history
Get the history of a ticket
Authorizations​
api_key
Type
API Key (header: X-Api-Key)
Parameters​
Path Parameters
ticket_id*
XS2event ID of the Ticket
Type
Requiredstring
Query Parameters
sorting
Type
string
Default
nullpage_size
Number of items per page
Type
integer
Default
50page
Current page
Type
integer
Default
1sales_price_changed
Filter history snapshots by sales price change
Default
nullcost_price_changed
Filter history snapshots by cost price change
Default
nullavailability_changed
Filter history snapshots by availability change
Default
nullResponses​
OK
application/json
JSON"history": [{"created": "2025-01-01T00:00:00","updated_by": "user123","change_reasons": [["Costprice increased","Salesprice decreased"]],"sales_price_changed": true,"cost_price_changed": true,"availability_changed": false,"other_changed": false,"face_value": 40000,"face_value_eur": 45000,"currency_code": "GBP","cost_price": 8000,"cost_price_eur": 9000,"sales_price": 10000,"sales_price_eur": 11000,"available_quantity": 20,"ticket_status": "enabled","release_date": "2025-04-01T00:00:00","latest_sale_date": "2025-04-01T00:00:00","ticket_flags": [["pairs_only"]]}],"pagination": {"total_size": 1,"page_size": 50,"page_number": 1,"next_page": "string","previous_page": "string"}
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}